# Swagger:

При запуске сервиса, документацию можно будет изучить по отдельной ссылке, которая выдаётся сервисом

**Ссылка на Swagger документацию**: `<hostname>/swagger`

## Архитектура Swagger документации (Для разработчиков):

```
├── privilege
│   ├── index.ts
│   ├── inputs.ts
│   ├── models.ts
│   ├── responses.ts
├── tariff
│   ├── index.ts
│   ├── inputs.ts
│   ├── models.ts
│   ├── responses.ts
├── role
│   ├── index.ts
│   ├── inputs.ts
│   ├── models.ts
│   ├── responses.ts
├── account
│   ├── index.ts
│   ├── inputs.ts
│   ├── models.ts
│   ├── responses.ts
```

- Каждая из директорий является названием группы обработчиков (`routes`)

- `index` выдаёт все схемы для генерации документации

- `inputs` содержит в себе все входные данные, требуемые обработчику: _`params`_, _`querystring`_, _`body`_

- `models` хранит в себе все бизнес модели: _`user`_, _`tariff`_, _`role`_
