package initialize

import (
	"gitea.pena/PenaSide/common/mongo"
	"github.com/caarlos0/env/v8"
	"github.com/joho/godotenv"
	"log"
)

type Config struct {
	AppName             string `env:"APP_NAME" envDefault:"hub-admin-backend-service"`
	InternalHttpAddress string `env:"INTERNAL_HTTP_ADDRESS" envDefault:"localhost:8000"`
	ExternalHttpAddress string `env:"EXTERNAL_HTTP_ADDRESS" envDefault:"localhost:8001"`
	PrivateKey          string `env:"JWT_PRIVATE_KEY"`
	PublicKey           string `env:"JWT_PUBLIC_KEY"`
	Issuer              string `env:"JWT_ISSUER"`
	Audience            string `env:"JWT_AUDIENCE"`
	ExternalCfg         ExternalCfg
}

type ExternalCfg struct {
	Database mongo.Configuration
}

func LoadConfig() (*Config, error) {
	if err := godotenv.Load(); err != nil {
		log.Print("No .env file found")
	}
	var config Config
	if err := env.Parse(&config); err != nil {
		return nil, err
	}
	return &config, nil
}
