package models

import (
	"go.mongodb.org/mongo-driver/bson/primitive"
	"time"
)


type Privilege struct {
  ID          primitive.ObjectID `bson:"_id" json:"_id"`
	Name        string             `bson:"name" json:"name"`
	PrivilegeID string             `bson:"privilegeId" json:"privilegeId"`
	ServiceKey  string             `bson:"serviceKey" json:"serviceKey"`
	Description string             `bson:"description" json:"description"`
	Type        string             `bson:"type" json:"type"`
	Value       string             `bson:"value" json:"value"`
	Price       float64            `bson:"price" json:"price"`
	Amount      float64            `bson:"amount" json:"amount"`
	CreatedAt   time.Time          `bson:"createdAt" json:"createdAt"`
	UpdatedAt   time.Time          `bson:"updatedAt" json:"updatedAt"`
	IsDeleted   bool               `bson:"isDeleted" json:"isDeleted"`
	DeletedAt   *time.Time         `bson:"deletedAt" json:"deletedAt"`
}

