package models

import (
	"go.mongodb.org/mongo-driver/bson/primitive"
	"time"
)

type Tariff struct {
	ID          primitive.ObjectID `json:"_id" bson:"_id"`
	Name        string             `json:"name" bson:"name"`
	UserID      string             `json:"userID" bson:"userID"`
	Description string             `json:"description" bson:"description"`
	Price       int                `json:"price" bson:"price"`
	Order       int                `json:"order" bson:"order"`
	IsCustom    bool               `json:"isCustom" bson:"isCustom"`
	Privileges  []Privilege        `json:"privileges" bson:"privileges"`
	IsDeleted   bool               `json:"isDeleted" bson:"isDeleted"`
	CreatedAt   time.Time          `json:"createdAt" bson:"createdAt"`
	UpdatedAt   time.Time          `json:"updatedAt" bson:"updatedAt"`
	DeletedAt   time.Time          `json:"deletedAt" bson:"deletedAt"`
}
