package tools

import "gitea.pena/PenaSide/tariffs/internal/models"

func ConvertPrivilegesToMap(privileges []models.Privilege) map[string][]models.Privilege {
	resultMap := make(map[string][]models.Privilege)

	for _, privilege := range privileges {
		svcKey := privilege.ServiceKey
		if _, ok := resultMap[svcKey]; !ok {
			resultMap[svcKey] = []models.Privilege{}
		}
		resultMap[svcKey] = append(resultMap[svcKey], privilege)
	}

	return resultMap
}
